## hb-icu hb-icu — ICU integration |

## Functions

hb_unicode_funcs_t * | hb_icu_get_unicode_funcs ()
UScriptCode | hb_icu_script_from_script ()
hb_script_t | hb_icu_script_to_script ()

## Includes

    #include <hb-icu.h>

## Description

Functions for using HarfBuzz with the International Components for Unicode (ICU) library. HarfBuzz supports using ICU to provide Unicode data, by attaching ICU functions to the virtual methods in a hb_unicode_funcs_t function structure.

## Functions

### hb_icu_get_unicode_funcs ()

    hb_unicode_funcs_t *
    hb_icu_get_unicode_funcs (void);

Fetches a Unicode-functions structure that is populated with the appropriate ICU function for each method.

#### Returns

a pointer to the hb_unicode_funcs_t Unicode-functions structure.

[transfer none]

Since: 0.9.38

### hb_icu_script_from_script ()

    UScriptCode
    hb_icu_script_from_script (hb_script_t script);

Fetches the UScriptCode identifier that corresponds to the specified hb_script_t script.

#### Parameters

script | The hb_script_t script to query |

#### Returns

the UScriptCode identifier found

### hb_icu_script_to_script ()

    hb_script_t
    hb_icu_script_to_script (UScriptCode script);

Fetches the hb_script_t script that corresponds to the specified UScriptCode identifier.

#### Parameters

script | The UScriptCode identifier to query |

#### Returns

the hb_script_t script found